# Introduction 
Service to support users

# Getting Started
Install via npm

```
npm install mkm-service-user
```

# Build and Test
Run build
```
npm run build
```

Run tests
```
npm test
```

# Usage
Example usage:

```
import { UserService } from 'mkm-service-user';

const userServiceConfig = {
    apiUrl: 'http://myusers.mkmapps.local/api/',
    authToken: 'dHSD6bsdds....',
    roleToken: '45HS5645bd....'
};

const userService = new UserService(userServiceConfig);

```

# Methods

  - getMyProfile()
  - getUserProfile(id)
 